dillo(1)

NAME
dillo - web browser

SYNOPSIS
dillo [OPTION]... [--] [URL|FILE]...

DESCRIPTION

Dillo is a lightweight graphical web browser that aims to be secure. It handles HTTP internally, and FILE, FTP, and DATA URIs are handled through a plugin system (dpi). In addition, INSECURE HTTPS support can be enabled. Both FTP and Dillo's download manager use the wget(1) downloader.

Dillo displays HTML, text, PNG, JPEG, and GIF files. It handles cookies, HTTP authentication (basic and digest), proxying (basic), and some CSS.

Framesets are displayed as links to frames, and there is currently no support for javascript or video.

OPTIONS

-f, --fullwindow
    Start in full window mode: hide address bar, navigation buttons, menu, and status bar.

-g, --geometry GEO
    Set initial window position where GEO is WxH[{+-}X{+-}Y].

-h, --help
    Display this help text and exit.

-l, --local
    Don't load images for these URL(s).

-v, --version
    Display version info and exit.

-x, --xid XID
    Open first Dillo window in an existing window whose window ID is XID.

EXIT STATUS

0   No error.

1   Internal error.

2   Error in command line arguments.

ENVIRONMENT

HOME (or HOMEDRIVE and HOMEPATH on Cygwin)
    User's home directory.

http_proxy
    URL of proxy to send HTTP traffic through.

FILES

dpid
    Dillo plugin daemon

dpidc
    Control program for dpid.

~/.dillo/bm.txt
    User bookmarks

~/.dillo/certs/
    Saved certificates for HTTPS.

~/.dillo/cookies.txt
    Stored cookies

~/.dillo/cookiesrc
    Cookie settings

~/.dillo/dillorc
    Configuration file.

~/.dillo/dpid_comm_keys
    Keys used in dpi daemon communication.

~/.dillo/dpidrc
    Contains name of directory containing dpis, and associates dpi files with protocols.

~/.dillo/keysrc
    Keybindings.

~/.dillo/style.css
    User style sheet

SEE ALSO
wget(1)

Dillo website: http://www.dillo.org